Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Barrier.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_errno.h"`
`#include "ace/Condition_Thread_Mutex.h"`
`#include "ace/Barrier.inl"`

Include dependency graph for Barrier.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Barrier
| Implements "barrier synchronization". More...
struct | ACE_Sub_Barrier
class | ACE_Thread_Barrier
| Implements "barrier synchronization" using ACE_Thread_Mutexes! More...

## Detailed Description

Id:
  Barrier.h,v 4.2 2003/11/03 03:04:11 dhinton Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>